import styling from "@devcake/styling";

styling.setDefault("components.button", "flex justify-center py-2 px-4 rounded-md shadow-sm text-sm font-semibold cursor-pointer focus:outline-none focus:ring-2 focus:ring-offset-2");
styling.setDefault("components.button.disabled", "pointer-events-none bg-gray-500");
styling.setDefault("components.button.primary", "text-white");
styling.setDefault("components.button.secondary", "");
styling.setDefault("components.button.tertiary", "text-gray-700 bg-white border");

const colors = {
  amber: {
    primary: `bg-amber-600 hover:bg-amber-700 focus:ring-amber-500`,
    secondary: `text-amber-700 bg-amber-100 hover:bg-amber-200 focus:ring-amber-500`,
    tertiary: `hover:bg-amber-50 focus:ring-amber-500 border-amber-300`
  },
  blue: {
    primary: `bg-blue-600 hover:bg-blue-700 focus:ring-blue-500`,
    secondary: `text-blue-700 bg-blue-100 hover:bg-blue-200 focus:ring-blue-500`,
    tertiary: `hover:bg-blue-50 focus:ring-blue-500 border-blue-300`
  },
  cyan: {
    primary: `bg-cyan-600 hover:bg-cyan-700 focus:ring-cyan-500`,
    secondary: `text-cyan-700 bg-cyan-100 hover:bg-cyan-200 focus:ring-cyan-500`,
    tertiary: `hover:bg-cyan-50 focus:ring-cyan-500 border-cyan-300`
  },
  emerald: {
    primary: `bg-emerald-600 hover:bg-emerald-700 focus:ring-emerald-500`,
    secondary: `text-emerald-700 bg-emerald-100 hover:bg-emerald-200 focus:ring-emerald-500`,
    tertiary: `hover:bg-emerald-50 focus:ring-emerald-500 border-emerald-300`
  },
  fuchsia: {
    primary: `bg-fuchsia-600 hover:bg-fuchsia-700 focus:ring-fuchsia-500`,
    secondary: `text-fuchsia-700 bg-fuchsia-100 hover:bg-fuchsia-200 focus:ring-fuchsia-500`,
    tertiary: `hover:bg-fuchsia-50 focus:ring-fuchsia-500 border-fuchsia-300`
  },
  gray: {
    primary: `bg-gray-600 hover:bg-gray-700 focus:ring-gray-500`,
    secondary: `text-gray-700 bg-gray-100 hover:bg-gray-200 focus:ring-gray-500`,
    tertiary: `hover:bg-gray-50 focus:ring-gray-500 border-gray-300`
  },
  green: {
    primary: `bg-green-600 hover:bg-green-700 focus:ring-green-500`,
    secondary: `text-green-700 bg-green-100 hover:bg-green-200 focus:ring-green-500`,
    tertiary: `hover:bg-green-50 focus:ring-green-500 border-green-300`
  },
  indigo: {
    primary: `bg-indigo-600 hover:bg-indigo-700 focus:ring-indigo-500`,
    secondary: `text-indigo-700 bg-indigo-100 hover:bg-indigo-200 focus:ring-indigo-500`,
    tertiary: `hover:bg-indigo-50 focus:ring-indigo-500 border-indigo-300`
  },
  lightBlue: {
    primary: `bg-lightBlue-600 hover:bg-lightBlue-700 focus:ring-lightBlue-500`,
    secondary: `text-lightBlue-700 bg-lightBlue-100 hover:bg-lightBlue-200 focus:ring-lightBlue-500`,
    tertiary: `hover:bg-lightBlue-50 focus:ring-lightBlue-500 border-lightBlue-300`
  },
  lime: {
    primary: `bg-lime-600 hover:bg-lime-700 focus:ring-lime-500`,
    secondary: `text-lime-700 bg-lime-100 hover:bg-lime-200 focus:ring-lime-500`,
    tertiary: `hover:bg-lime-50 focus:ring-lime-500 border-lime-300`
  },
  orange: {
    primary: `bg-orange-600 hover:bg-orange-700 focus:ring-orange-500`,
    secondary: `text-orange-700 bg-orange-100 hover:bg-orange-200 focus:ring-orange-500`,
    tertiary: `hover:bg-orange-50 focus:ring-orange-500 border-orange-300`
  },
  pink: {
    primary: `bg-pink-600 hover:bg-pink-700 focus:ring-pink-500`,
    secondary: `text-pink-700 bg-pink-100 hover:bg-pink-200 focus:ring-pink-500`,
    tertiary: `hover:bg-pink-50 focus:ring-pink-500 border-pink-300`
  },
  purple: {
    primary: `bg-purple-600 hover:bg-purple-700 focus:ring-purple-500`,
    secondary: `text-purple-700 bg-purple-100 hover:bg-purple-200 focus:ring-purple-500`,
    tertiary: `hover:bg-purple-50 focus:ring-purple-500 border-purple-300`
  },
  red: {
    primary: `bg-red-600 hover:bg-red-700 focus:ring-red-500`,
    secondary: `text-red-700 bg-red-100 hover:bg-red-200 focus:ring-red-500`,
    tertiary: `hover:bg-red-50 focus:ring-red-500 border-red-300`
  },
  rose: {
    primary: `bg-rose-600 hover:bg-rose-700 focus:ring-rose-500`,
    secondary: `text-rose-700 bg-rose-100 hover:bg-rose-200 focus:ring-rose-500`,
    tertiary: `hover:bg-rose-50 focus:ring-rose-500 border-rose-300`
  },
  teal: {
    primary: `bg-teal-600 hover:bg-teal-700 focus:ring-teal-500`,
    secondary: `text-teal-700 bg-teal-100 hover:bg-teal-200 focus:ring-teal-500`,
    tertiary: `hover:bg-teal-50 focus:ring-teal-500 border-teal-300`
  },
  violet: {
    primary: `bg-violet-600 hover:bg-violet-700 focus:ring-violet-500`,
    secondary: `text-violet-700 bg-violet-100 hover:bg-violet-200 focus:ring-violet-500`,
    tertiary: `hover:bg-violet-50 focus:ring-violet-500 border-violet-300`
  },
  yellow: {
    primary: `bg-yellow-600 hover:bg-yellow-700 focus:ring-yellow-500`,
    secondary: `text-yellow-700 bg-yellow-100 hover:bg-yellow-200 focus:ring-yellow-500`,
    tertiary: `hover:bg-yellow-50 focus:ring-yellow-500 border-yellow-300`
  }
};

export default colors;
